<?php
include "ver_sessao.php";
include "conecta.php";



function seleciona_cliente($id,$nome) {

	$nome_js = str_replace(" ","%20",$nome);
	$comp = "<a href=\"javascript:seleciona_cliente($id)\">$nome</a>";
	
	exibir_componente($comp);
}



	if( $_POST[c] )
		$_GET[c] = $_POST[c];
	if( $_POST[nome] )
		$_GET[nome] = $_POST[nome];
	if( $_POST[t] )
		$_GET[t] = $_POST[t];

	switch( $_GET[c] ) {
		case 'paciente':		$TABELA = 'entidade';	$TITULO = 'Paciente'; break;
	}

    $NOME = 'Cadastro de '.formata_nome($TITULO);
	    
	$TAB = substr($TABELA,0,4);


	if( $_GET[acao] == 'cadastra_op' ) {

		$_GET[nome] = str_replace('"', "", $_GET[nome]);
		
		$campos = array($TAB.'_tx_nome',$TAB.'_tx_cnpj',$TAB.'_tx_status',$TAB.'_tx_tipo',$TAB.'_tx_pessoa');
		$valores = array(strtoupper($_GET[nome]),$_GET[cnpj],'ativo','Cliente','Pessoa Física');
	
		if( $_GET[nome] == '' ) {

			unset($valores);

		} else {

			// SE A ORDEM ESTIVER NO GET PASSA PARA O POST
			if ( intval($_GET[ordem]) > 0 ) {
				$_POST[ordem] = $_GET[ordem];
			}
			
			// CONFIRMA SE A ORDEM ESTA REGISTRADA NO SESSION
			if ( intval($_POST[ordem]) > 0 ) {
				
				// ADICIONA O NOME ESCRITO COMO OBSERVAÇÃO
				atualizar('ordem',array('orde_tx_obs'),array(strtoupper($_GET[nome])),$_POST[ordem]);
			}
			
			
			if( !bd_erro() ) {
				
				javascript("
				
					// window.parent.document.getElementById('div_observacao').innerHTML = '".strtoupper($_GET[nome])."';

					// ATUALIZA A TELA DE PEDIDOS PARA EXIBIR A OBSERVAÇÃO CADASTRADA
					window.parent.form_atualizar.submit();

					fecha_combo_net_pdv();

				
				");
				$_GET[nome]='';
				$_GET[cnpj]='';
				unset($valores);
			}
		}		
	}


	cabecalho2('',2);



	if ( intval($_GET[ordem]) > 0 ) {
		$_POST[ordem] = $_GET[ordem];
	}

	$c1 = cactux::campo('Nome:','nome',$_GET[nome],8);
	$c2 = cactux::campo('CPF/CNPJ:','cnpj',$_GET[cnpj],2,MASCARA_CNPJ);
	$c4 = cactux::botao_submit("Buscar",2,'index','c,t,ordem',"$_GET[c],$_GET[t],$_POST[ordem]");
	$c5 = cactux::botao("Fechar ",2,'cancelar'," onclick=fecha_combo_net_pdv();");
	$c6 = cactux::botao("Gravar",2,'cancelar'," onclick=insere_op();");
	

//	print_r($_GET);
	
	$status = cactux::msg_status();
	
	cactux::abre_form('get');

	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($c1,$c2);
	cactux::linha_fieldset($c4,$c6,$status,$c5);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();

	javascript("

	
	function insere_op() {
		document.cadastro.acao.value='cadastra_op';
		document.cadastro.submit();
	}
	
			
	");
	
	
	$sql = selecionar($TABELA,$TAB."_tx_status,".$TAB."_tx_nome",
			"!inativo,@$_GET[nome]"," $extra AND enti_tx_tipo ='Paciente' ".grid::order_by($TAB.'_tx_nome'),1);
	$BUSCA = grid::gerar_paginacao($sql,'acao,codigo,nome,c,t',"index,$_GET[codigo],$_GET[nome],$_GET[c],$_GET[t]");

	// inicio do grid
	$cabeca[] = array(grid::ordenar('CÓD',$TAB.'_nb_id'),grid::ordenar('NOME',$TAB.'_tx_nome'),grid::ordenar('CNPJ/CPF',$TAB.'_tx_cnpj'));
	$cabeca[] = 'c,e,c';
	$cabeca[] = '8%,,15%';
	//$cabeca[]='95%';
	
	while( $array = carrega_array($BUSCA[0]) ) {

		$id = ".seleciona_cliente($array[0],'$array[0]')";
		$nome = ".seleciona_cliente($array[0],'$array[1]')";
		$cnpj = ".seleciona_cliente($array[0],'$array[enti_tx_cnpj]')";
		
		$valores[] = array($id,$nome,$cnpj);
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);




	
	javascript("

		function seleciona_cliente(id) {

			window.parent.form_troca_cliente.cliente.value=id;
			window.parent.form_troca_cliente.submit();

			fecha_combo_net_pdv();

		}

	");

?>